<!DOCTYPE html>
<html xmlns:th= "http://thymeleaf.org"
th:replace="~{main-layout.html::main-fragment(~{::title},~{::#article-main-content})}"> 
<head>
<meta charset="UTF-8">
<title>Liste Articles</title>
</head>
<body>
    <div class="container-fluid" id="article-main-content">
    <h2>Liste des articles</h2>
    <table class="table">
        <thead>
            <tr>
	           <th>id</th>
	           <th>Description</th>
	           <th>Prix</th>
	           <th>Date de production</th>
	           <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            <tr th:each="article : ${articles}">
                <td th:text="${article.id}"/>
                <td th:text="${article.description}"/>
                <td th:text="${article.prix}"/>
                <td th:text="${article.dateProduction}"/>
                <td><a class ="btn btn-danger btn-sm"
                th:href="@{/store/articles/delete/{idSup}(idSup=${article.id})}">suprimer</a></td> 
            </tr>
        
        </tbody>
    </table>
    </div>

</body>
</html>